"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = TemplateLiteralHandler;

var _toConsumableArray2 = _interopRequireDefault(require("@babel/runtime/helpers/toConsumableArray"));

var t = require('@babel/types');

function TemplateLiteralHandler(path, stylesCollector, stylesVarName) {
  var styles = path.node.value.value.split(' ').filter(function (s) {
    return s !== '';
  });
  stylesCollector.push.apply(stylesCollector, (0, _toConsumableArray2.default)(styles));
  path.replaceWith(t.jsxAttribute(t.jsxIdentifier('className'), t.JSXExpressionContainer(t.callExpression(t.identifier(stylesVarName), styles.map(function (style) {
    return t.stringLiteral(style);
  })))));
}